/**
 * CFFEX Confidential.
 *
 * @Copyright 2018 CFFEX.  All rights reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the China Copyright Office.
 *
 * Date:   2018-11-12
 */

#ifndef __DS_DEEP_SUPERVISE_DATA_TYPES_H__
#define __DS_DEEP_SUPERVISE_DATA_TYPES_H__

#include <stdio.h>
#include <stdlib.h>

namespace cffex_deep_supervise {

// input param
#define DS_IN
// output param
#define DS_OUT


///TFfexDsAppIDType is an ppID/RelayID type
typedef char TFfexDsAppIDType[31];

///TFfexDsPasswordType is an password type
typedef char TFfexDsPasswordType[17];
///TFfexDsDigestType is an digest type
typedef char TFfexDsDigestType[32];

///TFfexDsEncryptType is an encrypt type
typedef char TFfexDsEncryptType;

///TFfexDSPublicKeyType is public key type
typedef char TFfexDsPubliKeyType[2048];

///TFfexDsPublickEncResultType is an public key encrypt type
typedef char TFfexDsPublicEncResultType[16];

///TFfexDsPublickEncResultType is an public key encrypt result type
typedef char TFfexDsPublicEncSourceResultType[2048];

///TFfexDsPublicKeyVersionType public key version
typedef char TFfexDsPublicKeyVersionType[64];

///TFfexDsIntType is an int type
typedef int TFfexDsIntType;

///TFfexDsBoolType is boolen type
typedef bool TFfexDsBoolType;

///TFfexDsUserTerminalEncryptedType the encrypted user termimal info
typedef char TFfexDsUserTerminalEncryptedType[4096];


/// Following is the required system info. 
/// notes: the data should be truncate to the required length if it's too long
/// when has multi - space, it need to be removing by just one space. The begin end tail of one record should not has space

///terminal type
typedef char TFfexDsTerminalType;

///get system info time
/// required to be unit to -8 time. eg: 2018-05-01
typedef char TFfexDsInfoAcquireTimeType[20];

///longin time
typedef char TFfexDsLoginTimeType[20];

///ip address
///eg: 192.168.1.1 or CDCD:910A:2222:5498:8475:1111:0010:2020
typedef char TFfexDsIPAddress[40];

///port
///eg: 1024
typedef char TFfexDsPortNumber[6];

///MAC address
///eg: 005056C00008
typedef char TFfexDsMACAddress[13];

///machine name
///eg: cfmmc.pc?notes: once the data excess 9 Byts, it should be truncated
typedef char TFfexDsDeviceName[10];

///operator system version
///eg: 10.0*
typedef char TFfexDsOSVersion[6];

///CPU serial number
///eg: BFEBFBFF000406E3. notes: Only just the first cp into is needed when has more CPUs
typedef char TFfexDsCPUSerialNumber[17];

///device serial
///eg: 86D6C8Z6T
typedef char TFfexDsHarddiskSerialNumber[17];

///system partition info
///eg: C,201C3A22,FAT32,80 
///notes: include disk  file_partition, series number, format, capacity(G). seprating by ','

typedef char TFfexDsSystemDiskPartitionInfo[25];

///BIOS serial number
///eg: PC0CJEY5
typedef char TFfexDsBIOSSerialNumber[11];

///device serial n umber
///eg: C02RY79KF43V
typedef char TFfexDsDeviceSerialNumber[13];

///network
///eg: CMCC
typedef char TFfexDsNetworkOperator[13];

///device type
///eg: phone
typedef char TFfexDsDeviceType[13];

///add info
///eg: N35.461,E111.362 notes: N northern latitued
///keep three decimal places
typedef char TFfexDsGPSInfo[18];

///IMEI
///eg: 869011025656751
typedef char TFfexDsIMEI[16];

///MEID
///eg: 86901102568765
typedef char TFfexDsMEID[15];

///phone number
///eg: 13800000000 notes: using the first phone number in case of multi
typedef char TFfexDsMobilephoneNumber[12];

///UUID
///eg: E39DC982705E5B008C13AFDE0DF2FEA1
typedef char TFfexDsUUID[33];

///IMSI
///eg: 460026102456666 notes: using the first in case of multi
typedef char TFfexDsIMSI[16];

///ICCID
///eg: 898600f10115f0172111?notes: using the ICCID of the sim card that has the minimal id
typedef char TFfexDsICCID[21];

///phone number
///eg: 0838-6525555501234
typedef char TFfexDsPhoneNumber[21];

///web-chat openid
///eg: eb429b100968f2c0ef38
typedef char TFfexDsWeChatOpenID[29];

///user deposit account
///eg: 000100000001
typedef char TFfexDsClientInternalCapitalAccount[19];


///version of encrypt key
typedef char TFfexDsEncKeyVersionType[64];
///software vendor id
typedef char TFfexDsTradeSoftwareVendorIDType[32];
///exception flag
typedef char TFfexDsExceptionFlagType; 
///appid type
typedef char TFfexDsInfoAcquireAppIDType[31];
///user type
typedef char TFfexDsUserType;



}

#endif

