/**
 * CFFEX Confidential.
 *
 * @Copyright 2018 CFFEX.  All rights reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the China Copyright Office.
 *
 * Date:   2018-11-20
 */

#ifndef __DS_DEEP_SUPERVISE_USER_API_DELEGATE_H__
#define __DS_DEEP_SUPERVISE_USER_API_DELEGATE_H__

#import "DeepSuperviseUserApi.h"

@protocol DeepSuperviseUserApiDelegate<NSObject>

/**
 @param status
 status: 0成功/-1参数错误/-2输出缓冲区大小不足
 cert: 认证信息
 @param info 身份凭证
 */
-(void)userApiPrepared:(int)status info:(char*_Nullable)info;

/**
 获取加密的系统信息后调用
 @param status 状态码
 0: 成功
 -1: 加密类型不支持
 -2: 输出缓冲区大小不足
 -3: 密钥未初始化
 @param info 加密后的系统信息
 */
-(void)userApiCompleted:(int)status info:(char*_Nullable)info;

@end

#endif /* __DS_DEEP_SUPERVISE_USER_API_DELEGATE_H__ */
